Bug 129998 - NFS via TCP
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-16 10:54 EDT by Jochen Witte
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-17 09:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
trace of a mount / ls (10.25 KB, application/octet-stream)
2004-08-16 10:56 EDT, Jochen Witte
no flags Details

  None (edit)
Description Jochen Witte 2004-08-16 10:54:51 EDT
Description of problem:
I wrote a little user-space NFS-Server, which works just fine over
UDP. However, trying TCP results in retransmits of REPLIES and the
whole thing gets very very slow.

When I try the kernel NFSD everything works correctly. What do I have
to do, to use RPC over TCP correctly? I know, this seems not to be a
distribution bug, but since the GLIBC guys say: "first report the
'bug' to Your distribution bug-tracking-system" -- I ended up here ;)

Version-Release number of selected component (if applicable):

How reproducible:
Well - compile my NFS-Server and try mounting it via TCP :)

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jochen Witte 2004-08-16 10:56:48 EDT
Created attachment 102762 [details]
trace of a mount / ls

attachment is a libpcap file for use with tcpdump/ethreal
Comment 2 Jakub Jelinek 2004-08-17 09:38:03 EDT
What does this have to do with glibc and where is a bug we should
look into?
If you are writing your application, then it is up to you to debug
why it is slow and only when you find out why if you suspect a bug
in something other than your application file a bug with all the details
you found out and why you think there is a bug.

Note You need to log in before you can comment on or make changes to this bug.